<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

    public function up(): void
    {
        Schema::create('alumnos', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('nivel');
            $table->unsignedBigInteger('plan_id');
            $table->unsignedBigInteger('ciclo');
            $table->unsignedBigInteger('turno');
            $table->unsignedBigInteger('medio');
            $table->unsignedBigInteger('usuario_registro');
            $table->unsignedBigInteger('plane_id')->default('0');
            $table->unsignedBigInteger('status')->default('1');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('alumnos');
    }
};
